org.apache.xmpbox.type

## Class ProperNameType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractSimpleProperty
    - - org.apache.xmpbox.type.TextType
      - - org.apache.xmpbox.type.ProperNameType

    public class ProperNameType
    extends TextType

### Constructor Summary

Constructors
Constructor and Description
`ProperNameType(XMPMetadata metadata, String namespaceURI, String prefix, String propertyName, Object value)`

### Method Summary

### Methods inherited from class org.apache.xmpbox.type.TextType

`getStringValue, getValue, setValue`

### Methods inherited from class org.apache.xmpbox.type.AbstractSimpleProperty

`getNamespace, getPrefix, getRawValue, toString`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProperNameType

    public ProperNameType(XMPMetadata metadata,
                          String namespaceURI,
                          String prefix,
                          String propertyName,
                          Object value)